// PrusaNozzle MKII
// Measurements from: http://prusanozzle.org/nozzleMKII.dxf
// 2013-10-01
// Shane Graber, 'sgraber' on irc.freenode.net, #reprap


difference() {
	union() {
		translate([0,0,0]) cylinder(r=15.8/2, h=6, $fn=50);
		translate([0,0,6]) cylinder(r=12/2, h=4.64, $fn=50);

		for ( i = [0:6] ) {
			translate([0,0,10.64+(1.3+1.1)*i]) cylinder(r=15.8/2, h=1.3, $fn=50);
			translate([0,0,10.64+1.3+(1.3+1.1)*i]) cylinder(r=5/2, h=1.1, $fn=50);
		}

		for ( i = [7:9] ) {
			translate([0,0,10.64+(1.3+1.1)*i]) cylinder(r=15.8/2, h=1.3, $fn=50);
			translate([0,0,10.64+1.3+(1.3+1.1)*i]) cylinder(r=8.7/2, h=1.1, $fn=50);
		}
	
		translate([0,0,10.64+(1.3+1.1)*10]) cylinder(r=15.8/2, h=1.3, $fn=50);	

		cylinder(r=3.9/2, h=49.9, $fn=50); // filament shaft
		translate([0,0,50.2-13.8]) cylinder(r=4.9/2, h=0.5, $fn=50); // heater cartridge stop
		translate([0,0,49.9]) cylinder(r2=0.4/2, r1=3.9/2, h=0.3, $fn=50); // tip
	}

	translate([0,0,-1]) cylinder(r=3.15/2, h=50, $fn=50); // filament hole
	translate([0,0,-1]) cylinder(r=0.4/2, h=60, $fn=50); // tip hole
}